Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 152853 - up2date not work for SRPMS
Summary: up2date not work for SRPMS
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: General
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-13 16:53 UTC by David Lawrence
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description David Lawrence 2005-03-30 23:29:45 UTC
I just switched to download.fedoralegacy.org for my FC1 updates and can't seem
to get around this error:

:
:
Testing package set / solving RPM inter-dependencies...
cups-1.1.19-13.2.legacy.i38  Retrieved.
cups-1.1.19-13.2.legacy.src  There was a fatal error communicating with the
server. The message was:

An HTTP error occurred:
URL:  
http://download.fedoralegacy.org/fedora/1/updates/i386//SRPMS/cups-1.1.19-13.2.legacy.src.rpm
Status Code: 404
Error Message: Not Found


The problem appears to be that
http://download.fedoralegacy.org/fedora/1/updates/i386//SRPMS is missing. When
look at some of the mirrors I used prior to switching to
download.fedoralegacy.org they all have both .../updates/SRPMS and
.../updates/i386/SRPMS, whereas download.fedoralegacy.org and its mirrors only
have .../updates/SRPMS.



------- Additional Comments From dom@earth.li 2005-02-22 16:04:21 ----

Hi,

I'm not an up2date user so I can't check this, but can you confirm that you have
followed the instructions at
<http://www.fedoralegacy.org/docs/up2date-fc1-reconfigure.php>?

Thanks.



------- Additional Comments From fedora1.user@telus.net 2005-02-22 18:04:28 ----

Yes, I have followed the instructions at
http://www.fedoralegacy.org/docs/up2date-fc1-reconfigure.php and RPM updates do
work. It is only the SRPM updates that don't work and I am quite sure it is due
to the missing SRPMS directory/sym-link that is missing.



------- Additional Comments From jkeating@j2solutions.net 2005-03-07 07:26:46 ----

I don't think I want to do this, as it will break people who are wgetting or
syncing that directory.  I'm sure they aren't expecting SRPMS inside an RPM
directory.  I never have liked the SRPMS inside the binary package directory
structure.

A better solution is just to post how people can alter their up2date settings
properly.



------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:29 -------

This bug previously known as bug 2281 at https://bugzilla.fedora.us/
https://bugzilla.fedora.us/show_bug.cgi?id=2281
Originally filed under the Fedora Legacy product and General component.

Unknown priority P2. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here, dkl@redhat.com.
   Previous reporter was fedora1.user@telus.net.
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.




Note You need to log in before you can comment on or make changes to this bug.